#include "h5si.h"

#include <iostream>
#include <hdf5.h>

// #include <mpi.h>

using namespace std;
using namespace blitz;



void write_test() {
	Array<int,3> A(3,4,5);

	firstIndex i;
	secondIndex j;
	thirdIndex k;

	A = i*4*5 + j*5 + k;


	h5::File f("foo.h5", "w");

	h5::Dataset ds = f.create_dataset("ints", h5::shape(3,4,5), "int");

	ds << A.data();
}


void read_test() {
	Array<int,3> A(3,4,5);

	h5::File f("foo.h5", "r");

	f["ints"] >> A.data();

	cout << A << endl;
}

int main(int argc, char *argv[])
{
	h5::init();

	write_test();
	read_test();

	h5::finalize();

	return 0;
}

