
#ifndef _H_H5SHAPE
#define _H_H5SHAPE

#include <vector>
#include <hdf5.h>



namespace h5 {
	std::vector<hsize_t> shape(hsize_t d0);
	std::vector<hsize_t> shape(hsize_t d0, hsize_t d1);
	std::vector<hsize_t> shape(hsize_t d0, hsize_t d1, hsize_t d2);
	std::vector<hsize_t> shape(hsize_t d0, hsize_t d1, hsize_t d2, hsize_t d3);
	std::vector<hsize_t> shape(hsize_t d0, hsize_t d1, hsize_t d2, hsize_t d3, hsize_t d4);
}

#endif